RpcMessage (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.catalina.tribes.group

## Class RpcMessage

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcMessage

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`
  Direct Known Subclasses:
    `RpcMessage.NoRpcChannelReply`

      public class RpcMessage
      extends java.lang.Object
      implements java.io.Externalizable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RpcMessage.NoRpcChannelReply` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.io.Serializable` | `message` |
    `protected boolean` | `reply` |
    `protected byte[]` | `rpcId` |
    `protected byte[]` | `uuid` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RpcMessage()` |
    `RpcMessage​(byte[] rpcId, byte[] uuid, java.io.Serializable message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `readExternal​(java.io.ObjectInput in)` |
    `java.lang.String` | `toString()` |
    `void` | `writeExternal​(java.io.ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### message

          protected java.io.Serializable message

    - #### uuid

          protected byte[] uuid

    - #### rpcId

          protected byte[] rpcId

    - #### reply

          protected boolean reply

  - ### Constructor Detail

    - #### RpcMessage

          public RpcMessage()

    - #### RpcMessage

          public RpcMessage​(byte[] rpcId,
                            byte[] uuid,
                            java.io.Serializable message)

  - ### Method Detail

    - #### readExternal

          public void readExternal​(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`